## net.sf.saxon.number
Class Numberer_nlBE

    java.lang.Object
      net.sf.saxon.number.AbstractNumberer
          net.sf.saxon.number.Numberer_nlBE

All Implemented Interfaces:
  java.io.Serializable, Numberer

    public class Numberer_nlBE

extends AbstractNumberer

Author:
  Karel Goossens BTR-Services Belgium. Numberer class for the Belgian-Dutch language region.
See Also:
  http://woordenlijst.org/leidraad/6/9/#r6n, http://taaladvies.net/taal/advies/popup.php?id=88, http://www.vlaanderen.be/servlet/Satellite?c=Page&cid=1120536021990&pagename=taaltelefoon%2FPage%2FHomePageMIN, Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.number.AbstractNumberer
`cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, kanjiDigits, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

Constructor Summary
`Numberer_nlBE()`

Method Summary
`java.lang.String` `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`java.lang.String` `getEraName(int year)` Get the name for an era (e.g.
`java.lang.String` `halfDayName(int minutes, int minWidth, int maxWidth)` Get an am/pm indicator
`java.lang.String` `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`java.lang.String` `toOrdinalWords(java.lang.String ordinalParam, long number, int wordCase)` Show an ordinal number as dutch words in a requested case (for example, Twentyfirst)
`java.lang.String` `toWords(long number)` Show the number as words in title case.
`java.lang.String` `toWords(long number, int wordCase)` Format a number as English words with specified case options

Methods inherited from class net.sf.saxon.number.AbstractNumberer
`alphaDefault, format, getCalendarName, getCountry, getOrdinalSuffixForDateTime, ordinalSuffix, setCountry, toAlpha, toAlphaSequence, toRoman`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_nlBE

    public Numberer_nlBE()

Method Detail

### toOrdinalWords

    public java.lang.String toOrdinalWords(java.lang.String ordinalParam,
                                           long number,
                                           int wordCase)

  Show an ordinal number as dutch words in a requested case (for example, Twentyfirst)

  Specified by:
    `toOrdinalWords` in class `AbstractNumberer`
  Parameters:
    `ordinalParam` - the value of the "ordinal" attribute as supplied by the user
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### toWords

    public java.lang.String toWords(long number)

  Description copied from class: `AbstractNumberer`
  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Specified by:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
  Returns:
    the number formatted as English words

### toWords

    public java.lang.String toWords(long number,
                                    int wordCase)

  Description copied from class: `AbstractNumberer`
  Format a number as English words with specified case options

  Overrides:
    `toWords` in class `AbstractNumberer`
  Parameters:
    `number` - the number to be formatted
    `wordCase` - the required case for example `AbstractNumberer.UPPER_CASE`, `AbstractNumberer.LOWER_CASE`, `AbstractNumberer.TITLE_CASE`
  Returns:
    the formatted number

### monthName

    public java.lang.String monthName(int month,
                                      int minWidth,
                                      int maxWidth)

  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Specified by:
    `monthName` in class `AbstractNumberer`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public java.lang.String dayName(int day,
                                    int minWidth,
                                    int maxWidth)

  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Specified by:
    `dayName` in class `AbstractNumberer`
  Parameters:
    `day` - The day of the week (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### halfDayName

    public java.lang.String halfDayName(int minutes,
                                        int minWidth,
                                        int maxWidth)

  Get an am/pm indicator

  Specified by:
    `halfDayName` in interface `Numberer`
  Overrides:
    `halfDayName` in class `AbstractNumberer`
  Parameters:
    `minutes` - the minutes within the day
    `minWidth` - minimum width of output
    `maxWidth` - maximum width of output
  Returns:
    the AM or PM indicator

### getEraName

    public java.lang.String getEraName(int year)

  Get the name for an era (e.g. "BC" or "AD")

  Specified by:
    `getEraName` in interface `Numberer`
  Overrides:
    `getEraName` in class `AbstractNumberer`
  Parameters:
    `year` - the proleptic gregorian year, using "0" for the year before 1AD

Copyright (c) Saxonica Limited. All rights reserved.